Class | EventMachine::EvmaUDPSocket
In: | lib/pr_eventmachine.rb
Parent: | DatagramObject

### Methods

create eventable_read eventable_write send_data

### Public Class methods

create(host, port)

### Public Instance methods

eventable_read()

Proper nonblocking I/O was added to Ruby 1.8.4 in May 2006. If we have it, then we can read multiple times safely to improve performance.

eventable_write()

eventable_write This really belongs in DatagramObject, but there is some UDP-specific stuff.

send_data(data)

[Validate]